package ru.yandex.webmaster3.core.semantic.semantic_document_parser.microformats.transformer;

import ru.yandex.common.util.collections.CollectionFactory;

import java.util.List;

/**
 * Created by IntelliJ IDEA.
 * User: rasifiel
 * Date: 7/15/11
 * Time: 2:32 PM
 * To change this template use File | Settings | File Templates.
 */
public class ErrorContext implements Context<String> {

    final List<String> messages;

    public ErrorContext(final String... messages) {
        this.messages = CollectionFactory.list(messages);
    }

    @Override
    public TransformationStep getStep() {
        return TransformationStep.ERROR;
    }

    @Override
    public List<String> getInfo() {
        return messages;
    }

    @Override
    public Context<?> nextStep() {
        return this;
    }
}
